My Oracle Support Banner

12.1.x - Latest Patches and Installation Requirements for Value Chain Planning (aka APS Advanced Planning & Scheduling) (Doc ID 746824.1)

Last updated on JUNE 24, 2020

Applies to:

Oracle Production Scheduling - Version 12.1.3 to 12.1.3 [Release 12.1]
Oracle Demand Signal Repository - Version 12.1.1 and later
Oracle Advanced Supply Chain Planning - Version 12.1 and later
Oracle Service Parts Planning - Version 12.1.1 and later
Oracle Demantra Demand Management - Version 7.2.0.2 to 7.3.0 [Release 7.2 to 7.3.0]
Information in this document applies to any platform.

Purpose

 

To help customers install, patch and deploy new applications available in 12.1.1 and above for Value Chain Planning  - formerly known as Advanced Planning and Scheduling (APS) Applications

To provide guidance on Requirements and Best Practices for a successful go-live

New Applications in 12.1.1 and above

Oracle Demand Signal Repository (DSR)
Oracle Service Parts Planning (SPP)
Oracle Advanced Planning Command Center (APCC)

Oracle Manufacturing Operations Center (MOC) - NOT included in the VCP applications - see Oracle Manufacturing Operations Center Installation Notes, Release 12.1.3 [ID 1158925.1]

VCP Patch Notes for Other Releases

11.5.10 - Note 223026.1 List of High Priority Patches for the Value Chain Planning
12.0 - Note 421097.1 R12 - Latest Patches and Critical Information for VCP - Value Chain Planning
12.2 - Note 1361221.1 FAQ - Getting Started With 12.2 for Value Chain Planning (VCP) Applications

 

Revisions:

28-APR-2020 - new extended support notice for 12c DB
17-OCT-2019 - Add database version 19.0.0.0.0 to list of versions certified
13-FEB-2018 - add note 1627951.1 setup to known issues info for 12.1.3.9.2
31-AUG-2017 - fix post patch instructions for 12.1.3.9.2 for patch 22906189
16-JAN-2017 - Update 12.1.3.9.2_VCP_Known-Issues_Install_readme.txt and steps in post patch section
06-DEC-2016 - VCP 12.1.3.9.2 Tech Stack update and update 12.1.3.9.2_VCP_Known-Issues_Install_readme.txt
21-NOV-2016 - VCP PATCHING ALERT - NOV-2016 updated under known issues
05-JUL-2016 - patch 23599568 replaces patch 23509042 as post install patch for VCP 12.1.3.9.2
16-JUN-2016 - added patch 23509042:R12.MSC.B for 12.1.3.9.2 post install
05-JUN-2016 - Linux 7 Certification for VCP 12.1.3.9.2 patch level
15-APR-2016 - Mandatory Post Install Patch 22906189 for 12.1.3.9.2 added to readme file and Known issues
02-MAR-2016 - VCP Cum Patch 12.1.3.9.2 - R12.SCP_PF.B.Delta.4 - Patch 22706126 is relesased
23-OCT-2015 - EBS 12.2.3 RPC4 - Recommended Patch Consolidation for all of EBS released - See Patch Install Notes and Known Issues for more information.
03-SEP-2015 - updated RDBMS version information since MOS - Certifications is not accurate.
27-APR-2015 - EBS 12.1.3 RPC3 - Recommended Patch Consolidation for all of EBS released - See Patch Install Notes and Known Issues for more information
24-SEP-2014 - EBS 12.1.3 RPC2 - Recommended Patch Consolidation for all of EBS released - See Patch Install Notes and Known Issues for more information
28-MAR-2014 - EBS 12.1.3 RPC1 - Recommended Patch Consolidation for all of EBS released - See Patch Install Notes and Known Issues for more information
10-OCT-2013 VCP 12.1.3.9.1 patch released (New number system - see below in List of Latest Patches for Value Chain Planning Applications for more information)
29-Jul-2013 - VCP 12.1.3.9 patch released
24-Sep-2012 - VCP 12.1.3.8 patch released
18-May-2012 - VCP 12.1.3.7 patch released
29-Dec-2011 - VCP 12.1.3.6 patch released
21-Oct-2011 - VCP 12.1.3.5 patch released
29-Jun-2011 - VCP 12.1.3.4 patch released
06-May-2011 - RP Post Req for VCP 12.1.3.3 added.
26-Feb-2011 -VCP 12.1.3..3 information added
16-Dec-2010 - VCP 12.1.3.2 information added, new upgrade matrix and FAQ added to the note.
27-Sep-2010 - VCP 12.1.3.1 information added - revised info for SCP_PF.B.delta3
08-Sep-2010 - SCP_PF.B.delta3 and EBS 12.1.3 information added
26-May-2010 - VCP 12.1.3 Family Pack Released ahead of EBS 12.1.3 General release. DSR 12.1.3 patch released.
07-Apr-2010 - New patch for 12.1.2 - new name for CU patches
20-Jan-2010 - Information on 12.1.2
10-Dec-2009 Abstract change to highlight Latest Patches...
17-Nov-2009 - CU4 Patch 9058835 released
26-Oct-2009 - Patch requirements for 11.5.10 -  Collections Rollup #31 and Demantra Rollup #6
09-Oct-2009 - CU3 Patch 8602258 released
01/02-SEP-2009 - clarify to apply patches to ERP Source and replace Patch 7427625 with 8448706
29-Jul-2009 - 11.5.10 Collections rollup #26 updated to Rollup #30 to get fixes for 12.1.1 Cancel PO from DRP plan - Also 12.0.4 -12.0.6 uses Collections CU7 patch now for latest fixes.
Also Demand Signal Repository 12.1.1.01 release information added
15-Jun-2009 - Revised for General Availability (GA) release of 12.1.1
06-May-2009 - Setting alert under edit - revisions for 12.1.1 GA release pending
Below for Controlled Availability Release available before 12.1.1 General Availability release.
14-Feb-2009 - 12.1.02 (CU2) Patch 7664905 is now available (obsolete May 2009)
08-Feb-2009 - New Support Enhanced RCD published.
18-Dec-2008 - patch replacement 7644248:R12.SCP_PF.B for patch 7422116 (obsolete May-2009)
15-Nov-2008 - Note Published

Scope

For Customers Who Are Upgrading/Installing to 12.1 - Requirements 

<Note 806593.1> - R12.1 Info Center for all of EBS Applications for information on installing EBS 12.1

Review the Patch list and information for your configuration from the List below

Centralized Installation - Single Database for EBS and Value Chain Planning Applications AND/OR Customers Using Only ATP and Data Collections

Patching Requirements:
  1. Install OR Upgrade to EBS 12.1.1, then move immediately to EBS 12.1.3 by applying Maintenance Pack -
    Ref  Oracle E-Business Suite Release 12.1 Information Center - <Note 806593.1> and links to Oracle E-Business Suite Release 12.1.3 <Note 1175553.1>
  2. Then install our latest VCP Cumulative Patch shown below.
  3. Review <Note 964316.1> - Oracle Value Chain Planning Documentation Library for 12.1.3
  4. Customers who are not using these applications for Planning, and just using Available to Promise (ATP) functionality and running ATP Data Collections (or Standard Collections) must also apply the latest Cumulative patch listed below. There are critical fixes that are included here and ATP will NOT work correctly until you have applied the latest patch! See Question #9 below

Distributed Installations - EBS Source Instance and separate APS Destination Instance

Upgrade Matrix for VCP Products

Notes on Database versions:
  1. UPDATE 03-SEP-2015 - About Database Versions showing on My Oracle Support - Certifications Tab - when using Value Chain Planning  -Version ??

    The version information is not complete and should include the latest RDBMS versions as noted below

    1. When Search Results: Oracle Value Chain Planning 12.1.3.9 OR When Search Results: Oracle Value Chain Planning 12.1.3.8
      -- the Database versions should also include - 19.0.0.0.0, 12.1.0.2.0, 12.1.0.1.0, 11.2.0.4.0

    2. When Search Results: Oracle Value Chain Planning 12.2.2
      -- the Database versions should also include - 19.0.0.0.0, 12.1.0.2.0, 12.1.0.1.0, 11.2.0.4.0

    3. When Search Results: Oracle Value Chain Planning 12.2.3
      -- the Database versions should also include - 19.0.0.0.0, 12.1.0.2.0, 12.1.0.1.0

    4. When Search Results: Oracle Value Chain Planning 12.2.4
      -- the Database versions should also include - 19.0.0.0.0, 12.1.0.2.0

      IMPORTANT NOTE  - When upgrading or installing a database version - you should always apply the latest RDBMS PSU patch for your version - open an SR with the RDBMS team if you require any help determining the latest PSU patch for your version.

      We are working to get the Certifications updated and corrected -- the process is time consuming and we appreciate your patience.

  2. If you have EBS Source on different RDBMS version than the APS destination, this is supported using 11gR2 and 12c - For DB 19c - see below.
    1. Example: - (* Updated for latest certified versions on 30-JUN-2015)
      EBS Source running 12.0.6 (or 12.0.4 or 11.5.10.2) with 10gR2 (* This RDBMS is too old and should be moved to 11gR2 - 11.2.0.4)
      APS destination on 12.1.2 or higher with RDBMS 11gR1 (or R2) (* Any 11g system should be on 11gR2 and moved to 11.2.0.4 for best compatibility)
    2. Example #2 - added 02-MAR-2015
      EBS Source running 11gR2 (RDBMS highly recommends minimum version of 11.2.0.4)
      APS Destination running 12c
    3. The latest versions of 12.1.3 or 12.2 are not supported on 10g RDBMS.
      If on 11gR1, then you should immediately move to 11gR2 - 11.2.0.4.0
  3. Our Data Collections Setup <Note 145419.1> lists several Database fixes that need to be applied for earlier versions. These fixes are included in 11.2.0.4.
  4. RAC RDBMS Installations review <Note 279156.1>


UPDATE 17-JAN-2020 - 19c Database certifications for VCP and Demantra



UPDATE 28-APR-2020 -New extended support dates for 12.1.0.2 RDBMS - Extended Support Fee Waiver for Oracle Database 12.1 and 11.2 for Oracle E-Business Suite <Note 2522948.1>
This will be beneficial for customers who are not yet ready to comply with requirements in Matrix of supported releases for 19c database shown below

 

Notes for Linux 7 Certification (Update 05-JUN-2016)

  1. Only VCP 12.1.3.9.2 is certified on Oracle Linux 7 (or Red Hat Enterprise Linux 7)
  2. For customer using Advanced Planning Command Center - you must move to OBIEE 11.1.1.9.0 - since lower versions of OBIEE are not certified on Linux 7
  3. Refer to EBS Note 761566.1 for 12.1 Linux information.

 

Current APS Destination
and EBS Source Version
Upgrading APS Destination To:EBS Source Version and
Patches Required
APS Destination Patches Required
APS Destination
11.5.10.2
OR
12.0.x

EBS Source
11.5.10.2
12.1.3

EBS Source NOT Upgrading
Keep at Version 11.5.10.2

Collections #32 8671960
and 9117862
GOP #27 - 8686151
UI Source Side Patch #7 - 9260799
Demantra #7 - 9072397
and 11058665
and 12847390
ODP #15 Source Patch  9079585
CP Rollup #17 - 9079623

OPM Customers - see GMP Patches in
<Note 863897.1>

 

Upgrade to EBS 12.1.1
Then apply EBS 12.1.3 Update pack
Then apply VCP Cum Patch 12.1.3.9.2 - R12.SCP_PF.B.Delta.4 - Patch 22706126
Important!! - See below Patch Install Notes for VCP Cum Patch 12.1.3.9.2 - R12.SCP_PF.B.Delta.4

OPM Customers review GMP Patches in
<Note 860522.1>
APS Destination
12.0.4 or 12.0.6

EBS Source
12.0.4 or 12.0.6
12.1.3 EBS Source NOT Upgrading
Keep at Version 12.0.4 or 12.0.6
Collections CU11 9480676:R12.MSC.A
and 11938910:R12.MSC.A
UI Source Side Patch #3 7567454:R12.MSC.A
OPM Customers review GMP Patches in
<Note 863173.1>

Demantra Integration see <Note 470574.1>
Upgrade to EBS 12.1.1
Then apply EBS 12.1.3 Update pack
Then apply VCP Cum Patch 12.1.3.9.2 - R12.SCP_PF.B.Delta.4 - Patch 22706126
Important!! - See below Patch Install Notes for VCP Cum Patch 12.1.3.9.2 - R12.SCP_PF.B.Delta.4

OPM Customers review GMP Patches in
<Note 860522.1>
APS Destination
12.1.1
with CU3 or CU4 Patch

EBS Source
12.1.1
with CU3 or CU4 Patch



Also for Very limited number of customers who are still on controlled release.
EBS 12.1.0 with CU1 or CU2
12.1.3


EBS Source MUST BE upgraded!!
Apply EBS 12.1.3 Update Pack

Then latest EBS RPC4 Patch # 21236633
PLUS
VCP Cum Patch 12.1.3.9.2 - R12.SCP_PF.B.Delta.4 - Patch 22706126
Important!! - See below Patch Install Notes for VCP Cum Patch 12.1.3.9.2 - R12.SCP_PF.B.Delta.4

UI SOURCE SIDE RUP#3 PATCH # 9839214:R12.MSC.B

OPM Customers review GMP Patches in
<Note 860522.1>

VCP-cMRO
1. eAM patch 9413058:R12.EAM.B
2. cMRO patch 9377683:R12.AHL.B
3. cMRO patch 14642977:R12.AHL.B
4. cMRO patch 16099465:R12.AHL.B

Must be same version as EBS Source
Apply EBS 12.1.3 Update Pack

Then Apply latest EBS RPC4 Patch # 21236633

PLUS
VCP Cum Patch 12.1.3.9.2 - R12.SCP_PF.B.Delta.4 - Patch 22706126

Important!! - See below Patch Install Notes for VCP Cum Patch 12.1.3.9.2 - R12.SCP_PF.B.Delta.4
OPM Customers review GMP Patches in
<Note 860522.1>

APS Destination
12.1.3

EBS Source
12.1.3

NOTE: Both APS Destination and EBS Source instances MUST be on the same release and VCP Cum Patch level!!

No upgrade required to apply latest VCP Patches

VCP Cum Patch 12.1.3.9.2 - R12.SCP_PF.B.Delta.4 - Patch 22706126
Important!! - See below Patch Install Notes for VCP Cum Patch 12.1.3.9.2 - R12.SCP_PF.B.Delta.4

OPM Customers review GMP Patches in
<Note 860522.1>


 

VCP Cum Patch 12.1.3.9.2 - R12.SCP_PF.B.Delta.4 - Patch 22706126
Important!! - See below Patch Install Notes for VCP Cum Patch 12.1.3.9.2 - R12.SCP_PF.B.Delta.4

OPM Customers review GMP Patches in
<Note 860522.1>

FAQ - For Customers Who Are Upgrading or Applying Latest VCP Patches

Question #1 - If I am on EBS 12.1.2 and apply latest VCP patches (VCP 12.1.3.1 OR VCP 12.1.3.2,... VCP 12.1.3.8, etc.) am I upgrading my E-Business Suite Applications to 12.1.3?

Answer #1 - NO! Applying our latest patch is simply applying the latest cumulative fixes available for our VCP Applications, it is NOT upgrade to E-Business Suite 12.1.3
NOTE: To apply VCP 12.1.3.9.2 Cum Patch, you must be on EBS 12.1.3 Maintenance Pack

Question #2
- How can I find the patch numbers for EBS 12.1.1 and the Release Update Packs - 12.1.2 and 12.1.3?

Answer #2  <Note 806593.1> - The 12.1 Info Center  is the complete source for all information on EBS 12.1
We know there are many notes to review, so please check the Announcements link in the left pane to find:
Now Available: Oracle E-Business Suite Release 12.1 - <Note 803214.1>
Now Available: Oracle E-Business Suite Release 12.1.3 <Note 1175553.1>
12.1.2 is no longer listed here since this is implicitly superseded by 12.1.3 - see <Note 977706.1>
Customers upgrading from 12.0.x can download a patch for 12.1.1
Customers upgrading from 11i must get this version from eDelivery (edelivery.oracle.com) or the Oracle Store (oraclestore.oracle..com)
We use this note <Note 746824.1> to keep customers informed of the latest Patches and critical notes for VCP applications in R12.1 This note will list the latest patch available  currently VCP 12.1.3.9.1 Patch# 17350769:R12.SCP_PF.B

Question #3: I have single, centralized installation with single Database for both EBS and APS applications what patches do I apply to upgrade to 12.1.3 and get the latest VCP patches?
Answer #3 Apply EBS 12.1.1, then apply 12.1.3 Release Update Pack, then apply VCP 12.1.3.9.1 Patch# 17350769:R12.SCP_PF.B

Question #4: I am on single database, centralized installation of 12.1.1 and want to apply the latest VCP patch 12.1.3.8  Do I have to upgrade to 12.1.2 or 12.1.3 before applying this patch?
Answer #4: - Yes! The latest and last patch that can be applied for 12.1.1 is the CU4 patch 9058835 - any patch issued after CU4 patch requires that you are on either EBS 12.1.2 or 12.1.3 to apply the patch.

Question #5: I have EBS Source on 12.1.1 with CU4 and APS Destination on 12.1.1 with CU4  I need to apply the latest patch - VCP 12.1.3.8
DO I have to upgrade BOTH my EBS Source and APS Destination in order to apply this patch?
Answer #5 Yes, you must upgrade BOTH the EBS Source and APS Destination to either 12.1.2 or 12.1.3. AND both EBS and APS instances must be on the SAME Release of R12.1.x
CU4 Patch is the last patch you can apply if you are on 12.1.1
We have released the following patches after CU4 patch  12.1.2.1 ; 12.1.3 ; 12.1.3.1 ; 12.1.3.2 ; 12.1.3.3 ; 12.1.3.4 12.1.3.5; 12.1.3.6; 12.1.3.7. 12.1.3.8, 12.1.3.9, 12.1.3.9.1 - In order to apply any of these patches you must first have both EBS and APS instances on minimum version of 12.1.2 - we recommend that you upgrade to 12.1.3
If you apply EBS 12.1.3, then you just need to apply the latest VCP cum patch to get all the latest code.

Question #6  Can I upgrade EBS Source to 12.1.x and keep APS Destination on 11.5.10 or 12.0.x?
OR can I upgrade my EBS Source from 12.1.1 to 12.1.2 or 12.1.3 and keep the APS Destination on 12.1.1
Answer #6 No! This is not supported. The APS destination instance may never be on a lower release than the EBS Source instance.

Question #7  Do I have to upgrade my database to 11g when I upgrade to 12.1.x?
Answer #7  No this is not required, but is recommended

Question #8  Can I have EBS Source on RDBMS version 10gR2 and APS Destination on 11gR1 or 11gR2?
Answer #8  Yes this is supported. We highly recommend that you have a minimum level of 10.2.0.4.0 if you cannot upgrade to 11gR2 database level. There are many performance fixes from earlier 10gR2 releases that can effect VCP applications.
Question #9 We are only using ATP based on Collected Data and Data Collections (MSC application shows Shared Install) - Why do I have to apply this VCP Cumulative patch? It is very large and the readme has many steps that are confusing - what do we need to do?
Answer #9 This patch contains all fixes for ATP and Data collections since the base release of 12.1.3 in August 2009. Due to customer feedback, we no longer bundle patches separately for ATP and Data Collections (which was true in 11.5 and 12.0). The patch readme has many instructions, and should be reviewed carefully. The sections for VCP applications such as APCC, Rapid Planning, Demantra and AIA can be ignored as you are not using those applications. Other steps should be checked and verified if they apply to your implementation.
We have published a new ALERT to help make sure customers are aware of this requirement
Upgrade/Install ALERT for EBS 12.1.3 For Customers Using ATP Data Collections and ATP Based On Collected Data (Doc ID 1511936.1)
Question #10 We want to upgrade out VCP instance to 12.2 and keep our EBS source on 12.1.3, is this supported?
Answer #10 We maintain the supported configurations for VCP 12.2 with earlier releases in our 12.2 - Note 1361221.1 FAQ - Getting Started With 12.2 for Value Chain Planning (VCP) Applications

Limitations On Functionality when EBS Source is not 12.1

Some new functionality described in the Support Enhanced RCD <Note 763631.1> is not available when the EBS Source is not also on the same release - i.e. EBS Source NOT on 12.1
The list below describes the limitations. Review the Support Enhanced RCD to learn more about these features.

EBS Source VersionFunctional Limitations
MOC limitations Manufacturing Operations Center (MOC) currently supports integration to 11.5.10 EBS Source ONLY
12.0.4 and above 1. IR and ISO Synchronization (released in 12.1.2)
2. 12.0.x APS Destination with 12.1.x EBS Source is not supported
11.5.10 1. R12.x ERP Source to 11.5.10 APS Destination is NOT supported
2. Only integration supported is R12.x to 11.5.10. This cannot be changed to include earlier releases (eg. 11.5.9)
3. Internal Repair Orders and External Repair Orders cannot be released from SPP 12.1.01 to an 11.5.10 source.
4. Service Parts Planning: Internal Repair Orders and External Repair Orders cannot be collected from an 11.5.10 source; these transactions need to be loaded via Legacy Collections.
5. Advanced Supply Chain Planning to Oracle Transportation Management Integration
6. Discrete Manufacturing Integration Enhancement: Lot-based component usage (Advanced Supply Chain Planning and Global Order Promising)
7. Discrete Manufacturing Integration Enhancement: Actual work order start dates (Advanced Supply Chain Planning)
8. Oracle Process Manufacturing Integration: support for fixed ingredient scaling in formulas (Global Order Promising)
9. Oracle Process Manufacturing Integration: support for integer ingredient scaling in formulas (Global Order Promising)
10. Chargeable Subcontracting (Shikyu) is not supported (Advanced Supply Chain Planning)
11. IR and ISO Synchronization (released in 12.1.2)

For Customers Who Were Part of Controlled Availability Program and applied 12.1.0, 12.1.01 and 12.1.02 Before April-2009

  1. These customers should work with their Development contact and plan to upgrade to 12.1.3 as soon as possible..
  2. All these customers should have applied 12.1.01 Patch 7644248
    They may have also applied APS 12.1.02 - Patch 7664905:R12.SCP_PF.B
  3. These patches are no longer available with the GA release of 12.1.1
  4. These customers MUST FIRST APPLY 12.1.1 GA Release Patch 7303030 and then apply 12.1.3 and the latest VCP patch listed below

 

Details

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Purpose
Scope
 For Customers Who Are Upgrading/Installing to 12.1 - Requirements 
 Centralized Installation - Single Database for EBS and Value Chain Planning Applications AND/OR Customers Using Only ATP and Data Collections
 Distributed Installations - EBS Source Instance and separate APS Destination Instance
 Upgrade Matrix for VCP Products
 UPDATE 17-JAN-2020 - 19c Database certifications for VCP and Demantra
 FAQ - For Customers Who Are Upgrading or Applying Latest VCP Patches
 Limitations On Functionality when EBS Source is not 12.1
 For Customers Who Were Part of Controlled Availability Program and applied 12.1.0, 12.1.01 and 12.1.02 Before April-2009
Details
 List of Latest Patches for Value Chain Planning Applications
 Patch Install Notes and Known Issues
 <Document 2115461.1> ALERT!!! RP and ASCP UI Tech Stack Requirements Change - After 01-APR-2016 New Tech Stack Requirements For Any ADF Patches Installed For These Products
 VCP PATCHING ALERT - NOV-2016
 Patch Install Notes for VCP Cum Patch 12.1.3.9.2 - AKA R12.SCP_PF.B.Delta.4 - Patch 22706126 (also for EBS 12.1.3 - RPC5)
 Do the following for Recommended Patch Consolidation for EBS 12.1.3:
-- RPC1 - Patch 17774755 -
-- Also for RPC2 - Patch 19030202
-- Also for RPC3 - Patch 20203366
-- Also for RPC4 - Patch 21236633
 Critical Notes and Working With Support
References

My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.